---

- name: Clone the repository 
  hosts: localhost

  tasks:
  
    - name: git commands
      shell: |
        cd ~/gitstuff
        git clone git@gitlab.com:pejvack.javaheripour/ncm.git
      delegate_to: localhost
      run_once: yes


#    - name: git clone
#      become: yes
#      git:
#        repo: git@github.com:you/your-git-repo.git
#        dest: ~/gitstuff

# This section is just simulate the taking the backup from devices 
# as the runner doesn't have access to any network devices yet. 
- name: IOS ROUTERS
  hosts: localhost  
  tasks:
    - name: IOS CONFIG
      shell: |
        cd ~
        touch ios_test.conf

    - name: SAVE IOS CONFIG
      copy:
        src: ~/ios_test.conf 
        dest: "~/gitstuff/ncm/Configs/ios_test.conf"

- name: GIT Push
  hosts: localhost

  tasks:

    - name: print time
      command: date
      register: time
      changed_when: false
      delegate_to: localhost
      run_once: yes

    - name: git commands
      shell: |
        git add .
        git commit -m "Device Backup on {{time.stdout}} "
        git push origin main
      args:
        chdir: ~/gitstuff/network-config-management
      delegate_to: localhost
      run_once: yes
      register: git_output

    - name: print output
      debug:
        var: git_output.stdout_lines